body{
    margin-top: 20px;
}
a:link {
    color: black;
    background-color: transparent;
    text-decoration: none;
}
a:visited {
    color: black;
    background-color: transparent;
    text-decoration: none;
}
a:hover {
    color: red;
    background-color: transparent;
    text-decoration: underline;
}
.shop{
    font-size: 100%;  
}
.shop-details{
    display: grid;
    grid-template-columns:1fr 1fr 1fr 1fr;
}
.mens-outerwear img{
    width: 100%;
    height: auto;
}
.mens-outerwear .a-text{
    padding: 10px 20px;
    border: 2px black solid;
}
.ladies-outerwear img{
    margin-top: 50px;
    width: 100%;
    height: auto;
}
.ladies-outerwear .a-text{
    padding: 10px 20px;
    border: 2px black solid;
}
.grid{
    display: grid;
    grid-template-columns: 50% 50%;
}
.men-t-shirts{
    grid-column: 1/2;
    grid-row:1;
}
.men-t-shirts img{
    margin-top: 50px;
    width: 100%;
    height:100%;
    object-fit:cover; 
}
.men-t-shirts .a-text{
    padding: 10px 20px;
    border: 2px black solid;
}
.ladies-t-shirts{
    grid-column: 2/3;
    grid-row: 1;
}
.ladies-t-shirts img{
    margin-top: 50px;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.ladies-t-shirts .a-text{
    padding: 10px 20px;
    border: 2px black solid;
}
footer{
    display: flex;
    flex-direction: column;
    align-items: center;
}
footer p{
    margin-top:250px;
    width: 150px;
}
footer h4{
    display: flex;
    width:200px;
    height: 50px;
    justify-content: center;
    align-items: center;
    background-color: black;
    color: white;
}
@media only screen and (min-width:1201px)
{
    .shop-details{
        margin:30px 35% 30px;
    }
    header{
        text-align: center;
        font-size:80%;
    }
    section{
        text-align: center;
        font-size:100%;
    }
    
}

@media only screen and (max-width:1200px) 
{
    @media only screen and (min-width:651px)
    {
        .shop-details{
            margin:30px 15% 30px;
        }
        header{
            text-align: center;
            font-size:80%;
        }
        section{
            text-align: center;
            font-size:100%;
        }
        
    }

}

@media only screen and (max-width:650px)
{
    .shop-details{
        margin:30px 1% 30px;
    }
    header{
        text-align: center;
        font-size:70%;
    }
    section{
        text-align: center;
        font-size:80%;
    }
    
}